Package com.avaya.core

## Class AbstractNotificationReceiver

- java.lang.Object
- - android.content.BroadcastReceiver
  - - com.avaya.core.AbstractNotificationReceiver

-     public abstract class AbstractNotificationReceiver
      extends android.content.BroadcastReceiver

  Abstract class that can be registered to receive Message notifications from FCM.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.content.BroadcastReceiver

      `android.content.BroadcastReceiver.PendingResult`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractNotificationReceiver()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `onNotification​(android.content.Context context, java.lang.String conversationId, Message message)` | Method called when a new message is received.
    `void` | `onReceive​(android.content.Context context, android.content.Intent intent)` |

    - ### Methods inherited from class android.content.BroadcastReceiver

      `abortBroadcast, clearAbortBroadcast, getAbortBroadcast, getDebugUnregister, getResultCode, getResultData, getResultExtras, goAsync, isInitialStickyBroadcast, isOrderedBroadcast, peekService, setDebugUnregister, setOrderedHint, setResult, setResultCode, setResultData, setResultExtras`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractNotificationReceiver

          public AbstractNotificationReceiver()

  - ### Method Detail

    - #### onReceive

          public final void onReceive​(android.content.Context context,
                                      android.content.Intent intent)

      Specified by:
        `onReceive` in class `android.content.BroadcastReceiver`

    - #### onNotification

          public abstract void onNotification​(android.content.Context context,
                                              java.lang.String conversationId,
                                              Message message)

      Method called when a new message is received.
      Parameters:
        `context` - The BroadcastReceiver context
        `conversationId` - The conversationId of the received message
        `message` - The received message